#include "SPDMood.h"
#include <TROOT.h>
#include "TApplication.h"
#include <TPluginManager.h>
#include "TMMainFrame.h"

// globals
pthread_mutex_t gMutex;
TString      gVERSION;
//!!!optionStruct o;


int main(int argc, char **argv) {
  
  gROOT->GetPluginManager()->AddHandler("TVirtualStreamerInfo",
					"*",
					"TStreamerInfo",
					"RIO",
					"TStreamerInfo()");
  
  gVERSION="v4.01";
  
  pthread_mutex_init(&gMutex,NULL);

  TApplication theApp("App", &argc, argv);
  
  TMMainFrame::Instance()->CreateFrame();
  
  theApp.Run();
  
  return 0;
}
