#ifndef TMHistogrammingClustersPerEqOuter_H
#define TMHistogrammingClustersPerEqOuter_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingClustersPerEqOuter : public TMHistogramming {
 public:
  TMHistogrammingClustersPerEqOuter();
  virtual ~TMHistogrammingClustersPerEqOuter();
  
  virtual void ProcessCluster(Float_t x, Float_t y, Float_t z, UInt_t module, UInt_t size, UInt_t widz, UInt_t widphi, UInt_t type);

  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:

  TH1F   *fHist;

};

#endif
