#ifndef TMHistogrammingGlobalClusterXY_H
#define TMHistogrammingGlobalClusterXY_H

#include "TMHistogrammingShowDet.h"

class TH2F;
class TLine;

class TMHistogrammingGlobalClusterXY : public TMHistogrammingShowDet {
 public:
  TMHistogrammingGlobalClusterXY(TLine *tla[240]);
  virtual ~TMHistogrammingGlobalClusterXY();
  
  virtual void ProcessCluster(Float_t x, Float_t y, Float_t z, UInt_t module, UInt_t size, UInt_t widz, UInt_t widphi, UInt_t type);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void DrawDetector(TPad *pad);
  virtual void HideDetector(TPad *pad);

 protected:
  TH2F    *fTheHisto;
  TLine   *fDetLines[240];

};

#endif
