#ifndef TMHistogrammingNumberClustersInner_H
#define TMHistogrammingNumberClustersInner_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingNumberClustersInner : public TMHistogramming {
 public:
  TMHistogrammingNumberClustersInner();
  virtual ~TMHistogrammingNumberClustersInner();

  virtual void ProcessClusters(HenrikClusterFinderSPD* clFinder);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void RebinHistos();
  virtual void CreateHistos();

 protected:

  TH1F   *fTheHisto;

  Int_t fRangeX;

};

#endif
